Bug 239537 - F7 kernels don't detect Thinkpad battery (with a workaround)
F7 kernels don't detect Thinkpad battery (with a workaround)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-05-09 05:48 EDT by Leszek Matok
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-18 18:44:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg from the latest development kernel (26.81 KB, text/plain)
2007-05-09 05:49 EDT, Leszek Matok
no flags Details
dmesg from F6 kernel - battery detected and working (22.81 KB, text/plain)
2007-05-09 05:51 EDT, Leszek Matok
no flags Details

  None (edit)
Description Leszek Matok 2007-05-09 05:48:29 EDT
This is a fresh install of F7t4 updated to latest development packages.

The hardware is an IBM Thinkpad T30.

Using both the F7t4 kernel-2.6.20-1.3104.fc7 and current
kernel-2.6.21-1.3116.fc7, the system doesn't "see" my battery. It did under F6,
so after a short investigation I confirmed, that downgrading the kernel to
kernel-2.6.20-1.2948.fc6 (latest from F6 updates) fixes the issue.

Other laptop-centric functions like panel backlight control, suspending and
hibernating, work. But the battery is totally absent, it doesn't even report the
presence of a battery bay (I've seen a bug in Bugzilla about a battery bay
present, but reported empty).

This issue is critical for my work habits with this laptop. I guess majority of
laptop users need battery state report (and this laptop doesn't have any
external indicator of battery charge level, so I'm left with the OS telling me

I'll attach dmesg from latest F6 and development kernels, you'll see different
ACPI subsystem version and much more errors in the F7 one.
Comment 1 Leszek Matok 2007-05-09 05:49:45 EDT
Created attachment 154384 [details]
dmesg from the latest development kernel
Comment 2 Leszek Matok 2007-05-09 05:51:15 EDT
Created attachment 154385 [details]
dmesg from F6 kernel - battery detected and working
Comment 3 Leszek Matok 2007-05-09 06:08:49 EDT
In case someone else searches for this, I'll set the summary to include the
magic word :)

The workaround, as I stated earlier, is to downgrade the kernel to the one from
Fedora 6 updates. I have IDE devices, but things work anyhow thanks to labeled
swap and all the magic.
Comment 4 Chuck Ebbert 2007-05-09 13:27:55 EDT
Does the system have the latest BIOS installed? There is a problem with it.
IBM usually provides two separate updates, one for the system BIOS and
one for the Embedded Controller.
Comment 5 Leszek Matok 2007-05-09 15:20:18 EDT
The BIOS is 2.01 (latest on ibm.com is 2.10) and the Embedded Controller Program
is 1.02 (latest is 1.07). I don't have Windows nor FDD, so I guess there isn't a
safe way to upgrade my BIOS. ThinkWiki recommends creating bootable CD-s from
floppy images, which is unsupported, but I could do it, if only... not the
dependency hell of the BIOS and ECP (BIOS 2.10 requires ECP 1.05, ECP 1.07
requires BIOS 2.08, so I can't upgrade to any of them and I don't know, which
version is safe with my current version). Please, don't make me do it :)

Even if the BIOS is buggy, please notice that under FC6 and under F7 with FC6
kernel, everything is perfectly working. So it is a regression, even if it's
caused by some workaround or even a bug removed from the kernel (just a guess).
Comment 6 Leszek Matok 2007-05-18 09:12:38 EDT
I've managed to get the BIOS updated with a professional help. You were right -
it helped! Now there are no ACPI errors in dmesg and no problems with the
battery (at least it seems), even on a 2.6.21 kernel.

I still think some change in the kernel was for worse and should be fixed, but
you can reject this as not being a bug, as now I'm not even able to check if
it's fixed (because my new BIOS can't hit it).

Note You need to log in before you can comment on or make changes to this bug.